class wezz:

    def __init__(self , a , b, c):

        self.a = abs( int(a) )

        self.b = abs( int(b) )

        self.c = abs( int(c) )



    def somme(self):

        return self.a**2 + self.b**2 + self.c**2



    def div(self):

        L = [ ]

        for n in range(1 , self.somme()+1):

            if self.somme() % n == 0:

                L.append(n)

        return L



    def fct(self , *args):

        if len( args ) == 0:

            a = self.a

            b = self.b

            c = self.c

        else:

            a = args[0]

            b = args[1]

            c = args[2]

            

        if min(a,b,c) == 0:

            return 0

        else:

            return a * b * c + self.fct(a-1,b-1,c-1)

